# List Approved Addresses

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "List Approved Addresses" },
  ]}
  title="List Approved Addresses"
  method="POST"
  url="https://api.gemini.com/v1/approvedAddresses/account/{network}"
  description="Returns the Approved Address list for the specified network, including both account-level and group-level addresses."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/approvedAddresses/account/ethereum",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/approvedAddresses/account/ethereum",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <p style={{ margin: 0 }}>This endpoint can be accessed with any role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listApprovedAddresses" />,
    },
    {
      heading: "Path Parameters",
      children: <SpecPathParams operationId="listApprovedAddresses" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listApprovedAddresses" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listApprovedAddresses" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "List Payment Methods", href: "/trading/rest-api/fund-management/list-payment-methods" }}
  next={{ label: "Create New Approved Address", href: "/trading/rest-api/fund-management/create-new-approved-address" }}
/>
